org.apache.solr.client.solrj.io.stream

## Class ParallelListStream.StreamOpener

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.ParallelListStream.StreamOpener

All Implemented Interfaces:
  Callable<ParallelListStream.StreamIndex>

Enclosing class:
  ParallelListStream

    protected class ParallelListStream.StreamOpener
    extends Object
    implements Callable<ParallelListStream.StreamIndex>

### Constructor Summary

Constructors
Constructor and Description
`StreamOpener(ParallelListStream.StreamIndex streamIndex)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ParallelListStream.StreamIndex` `call()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamOpener

    public StreamOpener(ParallelListStream.StreamIndex streamIndex)

### Method Detail

#### call

    public ParallelListStream.StreamIndex call()
                                        throws Exception

Specified by:
  `call` in interface `Callable<ParallelListStream.StreamIndex>`
Throws:
  `Exception`